• work Ситуация с LESS повторяет ситуацию с jQuery: код легко поддерживать, он быстро пишется. но написать что-то тяжёлое для браузера — проще простого.

Replies (19)

  • @Alinaki, "тяжёлое для броузера" — трудновыполнимое, т.е. выполнимое за оч большое количество времени?
  • @kaineer, сложные селекторы, переходы, эффекты. Ни для кого не секрет, что css-преобразования, псевдоэлементы и прочая шушера всё ещё сложны для не самых мощных компов.
  • @Alinaki, это да. нужно быть настороже, чтобы выбор по селектору, особенно незакэшированный, повторённый пару десятков раз, не подвесил страничку
  • @kaineer, в jquery это само собой, но и в CSS такое бывает :) Но небо, насколько же проще работать с LESS (и SASS)!
  • @Alinaki, моя паранойя голосует за SASS. Один раз скомпилировать на серваке и отдавать.
  • @kaineer, LESS вполне себе компилируется. SASS чутка покруче, но топорность и простота LESS мне ближе.
  • @Alinaki, меня последние добавления в SASS (верней сказать, в SCSS) порадовали — селекторы, используемые исключительно для подмешивания, ням. Правда, как bourbon умудрились всё то же самое на старом SCSS делать — интересно.
  • @kaineer, ммм... ткни носом, плиз :)
  • @Alinaki, SASS 3.2 [ sass-lang.com ], bourbon [ thoughtbot.com ]
  • @kaineer, какая прелесть :) от таких штук голова кругом пойдёт.
  • @Alinaki, Совсем забыл. У них ещё вот такая штука есть: neat [ thoughtbot.com ].
  • @kaineer, возьму на заметку. правда, сетка bootstrap'а тоже неплоха.
  • @Alinaki, Они утверждают, что угадают песню с трёх^W^W^W^W им для этого нужно меньше маркапа и это будет выглядеть понятнее. Вот доберусь — посмотрю.
  • @kaineer, у сеточных вёрстка нынче простая — всем известны clearfix'ы, браузеры умеют дробные проценты, на IE7 все забили. Это раньше было весело :)
  • @Alinaki, все-превсе забили на IE7? Т.е. можно спокойно брать jQuery 1.8 и не париться? А то мы тут переживаем %)
  • @kaineer, ну не все, бутстрап держит до сих пор. Я образно) Но, думаю, ещё полгодика и можно забивать. Поддерживать две версии — этого достаточно, 9 и 8.
  • @Alinaki, машины с XP вроде не поддерживают IE выше 8 версии. А дома у меня и вовсе седьмой стоит. А если бы я в своё время не дёрнулся, стоял бы шестой.
  • @kaineer, Восьмёрка нормальный браузер. Поддержка CSS2 достаточная для того, чтоб вообще не проверять результат своей работы.
  • @Alinaki, ок